Subject: Re: [PATCH] ppc/powerpc: Fix io.h for config with CONFIG_PCI not set

From: Sylvain Munaut <[email-masked]>
Date: Sun, 05 Nov 2006 02:45:15 +0100

Benjamin Herrenschmidt wrote:
> On Sun, 2006-11-05 at 01:17 +0100, Sylvain Munaut wrote:
>   
>> When CONFIG_PCI option is not set, the variables
>> pci_dram_offset, isa_io_base and isa_mem_base are not defined.
>>
>> Currently, the test is handled in each platform header. This
>> patch moves the test in io.h once and for all.
>>     
>
> Be careful with _IO_BASE... I'm not 100% sure some platforms don't need
> it set to something else even when PCI is not present.
>   
When I saw in  mpc83xx.h and  mpc85xx.h that they still defined them, I
wondered.
But when looking at the code :
    unsigned long isa_io_base     = 0;
    unsigned long isa_mem_base    = 0;
are both defined in pci_{32/64}.c and won't be included if CONFIG_PCI is
not set.

    Sylvain